Skip to main content

Create a withdrawal and send OTP

POST/api/merchant/withdrawals

Create a withdrawal and send OTP

Request

Request body (required)

{
  "amount": 0.01,
  "destinationBankCode": "string",
  "destinationAccountNumber": "string"
}

Responses

201 Withdrawal awaiting OTP

Example response

{
  "message": "withdrawal initiated, verify otp to continue",
  "response": {
    "withdrawalId": "mwd_123e4567-e89b-12d3-a456-426614174000",
    "amount": 25000,
    "currency": "NGN",
    "status": "pending_otp",
    "destinationAccountNumber": "0123456789",
    "destinationBankCode": "100033",
    "destinationBankName": "PALMPAY",
    "destinationAccountName": "Jane Doe",
    "onchainTxHash": "",
    "providerTransferRef": "",
    "sessionId": "",
    "failureReason": "",
    "otpIssuedAt": "2026-08-24T12:00:00.000Z",
    "createdAt": "2026-08-24T12:00:00.000Z",
    "updatedAt": "2026-08-24T12:00:00.000Z"
  }
}